%define soversion 0

Name:         	dcatools
Summary:	dcatools - free DTS Coherent Acoustics decoder tools
License:      	GPL
Group:        	Productivity/Multimedia/Sound/Other
URL:            http://www.videolan.org/developers/libdca.html
Version:	0.0.5
Release:       3.2
Source0:        http://download.videolan.org/pub/videolan/libdca/0.0.5/libdca-%{version}.tar.bz2
BuildRoot:      %_tmppath/%name-%version-build
Autoreqprov:    on
Provides:	libdca-tools

%description
dcatools are free tools for decoding DTS Coherent Acoustics streams.

%prep
%setup -q -n libdca-%version

%package -n libdca%soversion
Summary:        DTS Coherent Acoustics decoder library
Group:          System/Libraries
Autoreqprov:    on
%ifarch x86_64 ppc64 
Provides:	libdts.so.0()(64bit)
%else
Provides:	libdts.so.0
%endif
Provides:       libdts libdca <= 0.0.2
Obsoletes:      libdts libdca <= 0.0.2

%description -n libdca%soversion
A free library for decoding DTS Coherent Acoustics streams.

%package -n libdca-devel
Summary:	Development files for libdca
Group: 		Development/Libraries/C and C++
Requires: 	libdca%soversion = %{version}
Provides:       libdts-devel
Obsoletes:      libdts-devel

%description -n libdca-devel
Development files for libdca.

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fPIC"
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
 --sysconfdir=%{_sysconfdir} \
 --datadir=%{_datadir} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir}

make

%install
make DESTDIR=$RPM_BUILD_ROOT install
ln -s %_libdir/libdca.so.0 $RPM_BUILD_ROOT/%_libdir/libdts.so.0
ln -s %_libdir/libdca.so $RPM_BUILD_ROOT/%_libdir/libdts.so
ln -s %_libdir/libdca.la $RPM_BUILD_ROOT/%_libdir/libdts.la

%clean
rm -rf  %{buildroot}

%post -n libdca0 -p /sbin/ldconfig
%postun -n libdca0 -p /sbin/ldconfig

%files 
%defattr(-, root, root)
%_bindir/*
%_mandir/man1/*

%files -n libdca%soversion
%defattr(-, root, root)
%_libdir/libdca.so.*
%_libdir/libdts.so.*

%files -n libdca-devel
%defattr(-, root, root)
%_libdir/libdca.so
%_libdir/libdts.so
%_libdir/libdca.a
%_libdir/libdts.a
%_libdir/libdca.la
%_libdir/libdts.la
%_includedir/*
%_libdir/pkgconfig/libdca.pc
%_libdir/pkgconfig/libdts.pc

%changelog
* Tue Nov 06 2007 Henne Vogelsang <henne@links2linux.de>
- update to version 0.0.5
- rename to dcatools
- split soname lib package
- split devel subpackage
- provide libdts
* Tue Feb 28 2006 Henne Vogelsang <henne@links2linux.de>
- dont package general pkgconfig dir
* Wed Mar 31 2004 Henne Vogelsang <henne@links2linux.de>
- New Package, Version 0.0.2 
